<xsl:stylesheet version="1.0"
      xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
      xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="xml"/>

<!-- $Id: policy-lax.xsl,v 1.2 2001/12/08 00:05:58 tlewis Exp $ -->

<xsl:template match="reference"/>
<xsl:template match="classtype"/>
<xsl:template match="sid"/>

<xsl:template match="collection">
	<collection>
	<xsl:if test="classtype='attempted-admin'">
		<xsl:text>
		</xsl:text><firewall>REJECT</firewall><xsl:text>
		</xsl:text>
	</xsl:if>
	<xsl:apply-templates/>
	</collection>
</xsl:template>

<xsl:template match="rule">
	<xsl:copy-of select="node()"/>
</xsl:template>

<xsl:template match="report">
	<report><xsl:copy-of select="node()"/></report> <xsl:text>
	</xsl:text>
</xsl:template>

<xsl:template match="decomp">
	<decomp><xsl:copy-of select="node()"/></decomp>
</xsl:template>

<xsl:template match="match">
	<match><xsl:copy-of select="node()"/></match> <xsl:text>
	</xsl:text>
</xsl:template>

<xsl:template match="rule">
<rule>

<xsl:apply-templates>
	<xsl:sort order="descending"/>
</xsl:apply-templates><xsl:text>
</xsl:text></rule>
</xsl:template>

<xsl:template match="rules">
	<rules>
		<xsl:apply-templates/>
	</rules>
</xsl:template>

<xsl:template match="hank-rules" xmlns:hank-rules="http://www.siwelt.com/research/hank">
	<hank-rules><xsl:apply-templates/></hank-rules>
</xsl:template>

<xsl:template match="/">
<xsl:text disable-output-escaping="yes">
<![CDATA[
	<!DOCTYPE hank-rules SYSTEM "rules.dtd" []>
]]>
</xsl:text>
	<xsl:apply-templates/>
</xsl:template>

</xsl:stylesheet>
