#ifndef   PROTOCOL_LOOKUP_H
#define   PROTOCOL_LOOKUP_H

#include "smodule.h"
#include "types.h"

typedef void* lt;

struct protocol_engine;

#define PLVMAJ 1
#define PLVMIN 1

struct protocol_lookup {
	struct smodule s;
	lt (*create_lt)(void);
	int (*reg_proto)(lt table, struct protocol_engine *pe, u_int32_t protocol);
	int (*unreg_proto)(lt table, u_int32_t protocol);
	int (*recompute)(lt table);
	struct protocol_engine *(*find_pe_num)(lt table, u_int32_t protocol);
	struct protocol_engine *(*find_pe_name)(lt table, char *name);
	void (*destroy_lt)(lt table);
};

#endif /* PROTOCOL_LOOKUP_H */

