#ifndef FROB_H
#define FROB_H

#include "smodule.h"

#if VMAJ == 1
struct frob {
	int (*get_num_frobs)(void);
	const char* (*stringer)(void);
	const char* friendly_message;
};
#elif VMAJ == 2
struct frob {
	const char* friendly_message;
	const char* (*stringer)(void);
	int (*get_num_frobs)(void);
};
#else
#error UNSUPPORTED MAJOR VERSION NUMBER!
#endif /*VMAJ*/

extern smodule** statics[];
extern smodule* smod1[];
extern smodule* smod2[];
extern smodule* dtrouble[];

#endif /*FROB_H*/
