#ifndef HDT_INT_H
#define HDT_INT_H

#include "hdt.h"
#include "packet.h"
#include "types.h"

extern hdt_set hdt_int_create(void);
extern void hdt_int_destroy(hdt_set set);
extern hdt_prim hdt_int_add(hdt_set set, prim_id prid, char *op, char *arg);
extern void hdt_int_del(hdt_set set, hdt_prim prim);
extern int hdt_int_match(hdt_set set, hdt_prim *prims, u_int32_t val, unsigned char *rbuf);

#endif /* HDT_INT_H */
