#ifndef   HANK_IPLOOKUP_H
#define   HANK_IPLOOKUP_H

#include "support.h"
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include "types.h"

/* routines to help in managing ip addresses */

extern hdt_set hdt_ipv4_addr_create(void);
extern void hdt_ipv4_addr_destroy(hdt_set set);
extern hdt_prim hdt_ipv4_addr_add(hdt_set set, prim_id prid, char *op, char *arg);
extern hdt_prim hdt_ipv4_addr_del(hdt_set set, prim_id prid);

extern int unregister_net(prim_id i);
extern struct prim_can *find_matches(u_int32_t addr);

#endif /* HANK_IPLOOKUP_H */

