#include "../memcon.h"

#ifndef   __USE_BSD
#define   __USE_BSD
#endif /* __USE_BSD */
#include <stdio.h>

/* FIXME */
extern memcon_cid 
memcon_create(memcon_cid context, const char* owner);

/* destroy context */
extern void 
memcon_destroy(memcon_cid c);

/* alloc */
extern void* 
memcon_alloc(memcon_cid c, size_t size);

/* free */
extern void 
memcon_free(memcon_cid c, void* chunk);

/* context evaluation */
extern void
dump_contexts(memcon_cid c, void (callback)(struct memcon_context*));

static const char *name = "Tester";

int
main(void)
{
	char *foo;
	memcon_cid c;
	int i;

	for(i=0;i<100;i++){
		c=memcon_create(0, name);
		foo=(char*)memcon_alloc(c, 1024);
		snprintf(foo, 1024, "This is a test.\n");
		memcon_destroy(c);
		printf("%i\n", c);
	}
	return(0);
}
