#include "frob.h"
#include "smodule.h"

extern smodule* frobnicate[];

static int   my_get_num_frobs(void);
static const char* my_stringer(void);

#ifndef NAME
#define NAME test_frob
#endif /*NAME*/

#if VMAJ == 1
static frob my_frob = {
	&my_get_num_frobs,
	&my_stringer,
	"Howdy, neighbor!"
};
#elif VMAJ == 2
static frob my_frob = {
	"Howdy, buckaroo!",
	&my_stringer,
	&my_get_num_frobs
};
#else
#error UNSUPPORTED MAJOR VERSION NUMBER!
#endif /*VMAJ*/

static smodule s = {
	SNAME,
	VMAJ,
	VMIN,
	&my_frob
};

#ifdef SMDYN
smodule* frobnicate[] = {
#else
smodule* NAME[] = {
#endif /*SMDYN*/
	&s,
	NULL
};

static int
my_get_num_frobs(void)
{
	return(1);
}

static const char*
my_stringer(void)
{
	return("");
}

